Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.core
Interface InitializationParameters

All Known Subinterfaces:
  Advertisement, Capability, Configuration, CorrelatableProperties, Description, Entry, GetCapability, Identity, ImmediateTermination, ManageabilityCapability, ManageabilityCharacteristics, MetadataExchange, Metrics, NotificationConsumer, NotificationProducer, NotificationProducerPersistence, OperationalStatus, Persistence, PullPoint, PullPointCreation, QueryCapability, RelationshipResource, Relationships, Resource, RouterPersistence, ScheduledTermination, ServiceGroup, ServiceGroupPersistence, ServiceGroupRegistration, SetCapability, State, SubscriptionManager, WsResource, WsResourceCapability

All Known Implementing Classes:
  AbstractAdvertisement, AbstractCapability, AbstractFilePersistence, AbstractManageabilityCapability, AbstractWsResourceCapability, NotificationProducerFilePersistence, RouterFilePersistence, ServiceGroupFilePersistence, SimpleConfiguration, SimpleCorrelatableProperties, SimpleDescription, SimpleEntry, SimpleGetCapability, SimpleIdentity, SimpleImmediateTermination, SimpleManageabilityCharacteristics, SimpleMetadataExchange, SimpleMetrics, SimpleNotificationConsumer, SimpleNotificationProducer, SimpleOperationalStatus, SimplePullPoint, SimplePullPointCreation, SimpleQueryCapability, SimpleRelationshipResource, SimpleRelationships, SimpleResource, SimpleScheduledTermination, SimpleServiceGroup, SimpleServiceGroupRegistration, SimpleSetCapability, SimpleState, SimpleSubscriptionManager, SimpleWsResource

public interface InitializationParameters

InitializationParameters is an interface for components that can be loaded with zero or more name-value pairs for configuration.

Author:
  Dan Jemiolo (danj)

Method Summary
`java.lang.String` | `getInitializationParameter(java.lang.String name)`
`java.util.Map` | `getInitializationParameters()`
`void` | `setInitializationParameters(java.util.Map parameters)` Allows the resource's creator to provide it with arbitrary name-value pairs that may be used during initialization.

Method Detail

### getInitializationParameter

    public java.lang.String getInitializationParameter(java.lang.String name)

  Parameters:
    `name` -
  Returns:
    The value of the initialization parameter, or null if it does not exist.

### getInitializationParameters

    public java.util.Map getInitializationParameters()

  Returns:
    The set of name-value pairs provided at initialization time. The Map may be empty.

### setInitializationParameters

    public void setInitializationParameters(java.util.Map parameters)

  Allows the resource's creator to provide it with arbitrary name-value pairs that may be used during initialization. The way that these values are used and/or stored is an implementation detail, and there is no requirement that this feature be used - it is a generic way to specify deployment/initialization parameters. This method should be called before the resource is initialized.

  Parameters:
    `parameters` - A simple set of name-value pairs - Map[String, String] - that contains initialization parameters for the resource.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD